Bug 427218 - Review Request: drpython - a python IDE channel
Review Request: drpython - a python IDE channel
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mads Villadsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-02 06:10 EST by Marc Wiriadisastra
Modified: 2008-01-07 13:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-05 20:40:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
maxx: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Marc Wiriadisastra 2008-01-02 06:10:20 EST
Spec URL: http://mwiriadi.fedorapeople.org/packages/drpython/drpython.spec
SRPM URL: http://mwiriadi.fedorapeople.org/packages/drpython/drpython-165-1.fc8.src.rpm
Description: DrPython is a highly customizable cross-platform ide to aid 
programming in Python.
Comment 1 Mads Villadsen 2008-01-03 16:13:11 EST
builds cleanly in mock (fedora-8-i386)

rpmlint output:
drpython.noarch: W: file-not-utf8 /usr/share/doc/drpython-165/History.txt
drpython.noarch: W: file-not-utf8 /usr/share/doc/drpython-165/Changelog.txt

drpython.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 11)

The utf-8 issues need not be fixed - but please fix the mixed spaces and tabs in
the .spec file.

The Icon entry in the .desktop should be without the file extension (ie.
drpython instead of drpython.png).

It might be nice to include a small shell script called drpython which could be
installed in /usr/bin to start drpython.

The icon drpython.png must be installed to /usr/share/pixmaps to be found by the
.desktop file.

So all in all it looks quite good. The issues that must be fixed are:

1) the mixed use of tabs and spaces in the .spec file
2) the icon must be installed so that it shows up in the menus

And of course it would be nice if some of the other minor issues could be fixed
as well.
Comment 3 Mads Villadsen 2008-01-04 18:32:23 EST
This looks very nice now. You still have to fix the mixed use of tabs and spaces
in the .spec file - it is the last thing keeping rpmlint from being quiet.

Fix that and I will approve this package.
Comment 5 Mads Villadsen 2008-01-05 05:51:18 EST
This looks fine. Accepted.
Comment 6 Marc Wiriadisastra 2008-01-05 11:32:18 EST
New Package CVS Request
Package Name: drpython
Short Description: DrPython is a highly customizable cross-platform ide
Owners: mwiriadi
Branches: F-8 devel
InitialCC: mwiriadi
Cvsextras Commits: yes
Comment 7 Dennis Gilmore 2008-01-05 13:41:20 EST
CVS Done 
Comment 8 Marc Wiriadisastra 2008-01-07 08:06:35 EST
Package Change Request
Package Name: drpython
New Branches: FC-7
Comment 9 Dennis Gilmore 2008-01-07 13:23:52 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.